<div class="offer-summary">
  <div class="offer-summary__content">
    <h2 class="title">{{ offerName }}</h2>
    <p class="description">
      This is a demo offer set-up for the MO Manage “create new offer”
      experience
    </p>
    <div class="details">
      <layout-summary title="General settings">
        <ng-container *ngFor="let item of generalSettingItems">
          <layout-summary-item
            *ngIf="item && item?.value"
            [name]="item.key"
            [value]="item.value"
          >
          </layout-summary-item>
        </ng-container>
      </layout-summary>

      <layout-summary title="Repayment logics">
        <ng-container *ngFor="let item of repaymentLogics">
          <layout-summary-item
            *ngIf="item && item?.value"
            [name]="item.key"
            [value]="item.value"
            [isDashed]="true"
            ><layout-summary-sub-item
              *ngFor="let subItem of item?.extraData"
              [name]="subItem.key"
              [value]="subItem.value"
              [isDashed]="true"
            ></layout-summary-sub-item
          ></layout-summary-item>
        </ng-container>
      </layout-summary>

      <layout-summary title="Charges in order of collection priority">
        <ng-container *ngFor="let item of chargesCollection">
          <h3 class="summary-item__title" *ngIf="item?.type === 'title'">
            {{ item.key }}
          </h3>
          <h4 class="summary-item__subtitle" *ngIf="item?.type === 'subtitle'">
            {{ item.key }}
          </h4>
          <layout-summary-item
            *ngIf="item && item?.value && !item?.type"
            [name]="item.key"
            [value]="item.value"
            [isDashed]="true"
            ><layout-summary-sub-item
              *ngFor="let subItem of item?.extraData"
              [name]="subItem.key"
              [value]="subItem.value"
              [isDashed]="true"
            ></layout-summary-sub-item
          ></layout-summary-item>
        </ng-container>
      </layout-summary>
    </div>
  </div>
  <div class="offer-summary__buttons">
    <mo-button
      text="Discard"
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_DEFAULT"
      (click)="onDiscard()"
      [size]="SIZES.MD"
    >
    </mo-button>
    <mo-button
      text="Back"
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY_DARK"
      [size]="SIZES.MD"
      (click)="onBack()"
    >
    </mo-button>
    <mo-button
      text="Confirm offer"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
      (click)="onCreateOffer()"
      [size]="SIZES.MD"
    >
    </mo-button>
  </div>
</div>
